Prolifto
API reference

Categories

Catalog categories

Archive

POST
/categories/archive

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/categories/archive" \  -H "Content-Type: application/json" \  -d '{    "categoryId": "string"  }'
{}

Archive Many

POST
/categories/archiveMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/categories/archiveMany" \  -H "Content-Type: application/json" \  -d '{    "categoryIds": [      "string"    ]  }'
{}

Create

POST
/categories/create

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/categories/create" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{}

Force Delete

POST
/categories/forceDelete

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/categories/forceDelete" \  -H "Content-Type: application/json" \  -d '{    "categoryId": "string"  }'
{}

Force Delete Many

POST
/categories/forceDeleteMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/categories/forceDeleteMany" \  -H "Content-Type: application/json" \  -d '{    "categoryIds": [      "string"    ]  }'
{}

Get Many

GET
/{organizationSlug}/categories

Path Parameters

organizationSlug*string
Length1 <= length

Query Parameters

deletedOnly?boolean
Defaultfalse
limit?number
Default10
Range1 <= value <= 100
orderBy?array<>
Default["created_desc"]
page?number
Default1
Range1 <= value
search?|

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/categories"
{}

Get Many Lite

GET
/{organizationSlug}/categories/lite

Path Parameters

organizationSlug*string
Length1 <= length

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/categories/lite"
{}

Get Names By Ids

POST
/categories/getNamesByIds

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/categories/getNamesByIds" \  -H "Content-Type: application/json" \  -d '{    "categoryIds": [      "string"    ]  }'
{}

Get One

GET
/{organizationSlug}/categories/{categorySlug}

Path Parameters

organizationSlug*string
Length1 <= length
categorySlug*string
Length1 <= length

Query Parameters

includeDeleted?boolean
Defaultfalse

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/categories/string"
{}

Restore

POST
/categories/restore

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/categories/restore" \  -H "Content-Type: application/json" \  -d '{    "categoryId": "string"  }'
{}

Restore Many

POST
/categories/restoreMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/categories/restoreMany" \  -H "Content-Type: application/json" \  -d '{    "categoryIds": [      "string"    ]  }'
{}

Update

POST
/categories/update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/categories/update" \  -H "Content-Type: application/json" \  -d '{    "categoryId": "string",    "name": "string"  }'
{}